com.sun.grid.jgdi.monitoring.filter

## Class QueueStateFilter

- java.lang.Object
- - com.sun.grid.jgdi.monitoring.filter.QueueStateFilter

- All Implemented Interfaces:
    java.io.Serializable

      public class QueueStateFilter
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ALARM`
    `static int` | `CALENDAR_DISABLED`
    `static int` | `CALENDAR_SUSPENDED`
    `static int` | `CONFIGURATION_AMBIGUOUS`
    `static int` | `DISABLED`
    `static int` | `ERROR`
    `static int` | `ORPHANED`
    `static int` | `SUBORDINATE`
    `static int` | `SUSPEND_ALARM`
    `static int` | `SUSPENDED`
    `static int` | `UNKNOWN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueueStateFilter()`
    `QueueStateFilter(int mask)` Creates a new instance of QueueStateFilter

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `QueueStateFilter` | `fill(java.lang.String optionstr)`
    `java.lang.String` | `getOptions()`
    `boolean` | `hasAlarm()`
    `boolean` | `hasCalendarDisabled()`
    `boolean` | `hasCalendarSuspend()`
    `boolean` | `hasConfigurationAmbiguous()`
    `boolean` | `hasDisabled()`
    `boolean` | `hasError()`
    `boolean` | `hasOrphaned()`
    `boolean` | `hasSubordinate()`
    `boolean` | `hasSuspendAlarm()`
    `boolean` | `hasSuspended()`
    `boolean` | `hasUnknown()`
    `static QueueStateFilter` | `parse(java.lang.String options)`
    `void` | `setAlarm(boolean flag)`
    `void` | `setCalendarDisabled(boolean flag)`
    `void` | `setCalendarSuspend(boolean flag)`
    `void` | `setConfigurationAmbiguous(boolean flag)`
    `void` | `setDisabled(boolean flag)`
    `void` | `setError(boolean flag)`
    `void` | `setOrphaned(boolean flag)`
    `void` | `setSubordinate(boolean flag)`
    `void` | `setSuspendAlarm(boolean flag)`
    `void` | `setSuspended(boolean flag)`
    `void` | `setUnknown(boolean flag)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ALARM

          public static final int ALARM

      See Also:
        Constant Field Values

    - #### CONFIGURATION_AMBIGUOUS

          public static final int CONFIGURATION_AMBIGUOUS

      See Also:
        Constant Field Values

    - #### DISABLED

          public static final int DISABLED

      See Also:
        Constant Field Values

    - #### ORPHANED

          public static final int ORPHANED

      See Also:
        Constant Field Values

    - #### SUSPENDED

          public static final int SUSPENDED

      See Also:
        Constant Field Values

    - #### UNKNOWN

          public static final int UNKNOWN

      See Also:
        Constant Field Values

    - #### SUSPEND_ALARM

          public static final int SUSPEND_ALARM

      See Also:
        Constant Field Values

    - #### CALENDAR_SUSPENDED

          public static final int CALENDAR_SUSPENDED

      See Also:
        Constant Field Values

    - #### CALENDAR_DISABLED

          public static final int CALENDAR_DISABLED

      See Also:
        Constant Field Values

    - #### ERROR

          public static final int ERROR

      See Also:
        Constant Field Values

    - #### SUBORDINATE

          public static final int SUBORDINATE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### QueueStateFilter

          public QueueStateFilter()

    - #### QueueStateFilter

          public QueueStateFilter(int mask)

      Creates a new instance of QueueStateFilter

  - ### Method Detail

    - #### hasAlarm

          public boolean hasAlarm()

    - #### setAlarm

          public void setAlarm(boolean flag)

    - #### hasConfigurationAmbiguous

          public boolean hasConfigurationAmbiguous()

    - #### setConfigurationAmbiguous

          public void setConfigurationAmbiguous(boolean flag)

    - #### hasDisabled

          public boolean hasDisabled()

    - #### setDisabled

          public void setDisabled(boolean flag)

    - #### hasOrphaned

          public boolean hasOrphaned()

    - #### setOrphaned

          public void setOrphaned(boolean flag)

    - #### hasSuspended

          public boolean hasSuspended()

    - #### setSuspended

          public void setSuspended(boolean flag)

    - #### hasUnknown

          public boolean hasUnknown()

    - #### setUnknown

          public void setUnknown(boolean flag)

    - #### hasSuspendAlarm

          public boolean hasSuspendAlarm()

    - #### setSuspendAlarm

          public void setSuspendAlarm(boolean flag)

    - #### hasCalendarSuspend

          public boolean hasCalendarSuspend()

    - #### setCalendarSuspend

          public void setCalendarSuspend(boolean flag)

    - #### hasCalendarDisabled

          public boolean hasCalendarDisabled()

    - #### setCalendarDisabled

          public void setCalendarDisabled(boolean flag)

    - #### hasError

          public boolean hasError()

    - #### setError

          public void setError(boolean flag)

    - #### hasSubordinate

          public boolean hasSubordinate()

    - #### setSubordinate

          public void setSubordinate(boolean flag)

    - #### parse

          public static QueueStateFilter parse(java.lang.String options)

    - #### fill

          public QueueStateFilter fill(java.lang.String optionstr)

    - #### getOptions

          public java.lang.String getOptions()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.